# CMDBBlacklistWhitelist

## Gets a list of tags

> This endpoint is used to fetch all the tags in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/cmdb/blackwhitelist/":{"get":{"operationId":"ux_common_cmdb_blackwhitelist_retrieve","description":"This endpoint is used to fetch all the tags in the current organization","summary":"Gets a list of tags","parameters":[{"in":"query","name":"items_per_page","schema":{"type":"integer"},"description":"Items Per Page","required":true},{"in":"query","name":"page","schema":{"type":"integer"},"description":"Page Number","required":true},{"in":"query","name":"reverse","schema":{"type":"boolean"},"description":"Sorting Order"},{"in":"query","name":"sort","schema":{"type":"string"},"description":"Sorting Key"}],"tags":["CMDBBlacklistWhitelist"],"responses":{"200":{"description":"No response body"}}}}}}
```

## Creates new Software whitelist and blacklist&#x20;

> This endpoint is used to save a software whitelist and blacklist

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/cmdb/blackwhitelist/":{"post":{"operationId":"ux_common_cmdb_blackwhitelist_create","description":"This endpoint is used to save a software whitelist and blacklist","summary":"Creates new Software whitelist and blacklist ","tags":["CMDBBlacklistWhitelist"],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}}},"responses":{"201":{"description":"No response body"}}}}}}
```

## GET /ux/common/cmdb/blackwhitelist/{id}/

> Adaptation of DRF ModelViewSet

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/cmdb/blackwhitelist/{id}/":{"get":{"operationId":"ux_common_cmdb_blackwhitelist_retrieve_2","description":"Adaptation of DRF ModelViewSet","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["CMDBBlacklistWhitelist"],"responses":{"200":{"description":"No response body"}}}}}}
```

## PUT /ux/common/cmdb/blackwhitelist/{id}/

> Adaptation of DRF ModelViewSet

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/cmdb/blackwhitelist/{id}/":{"put":{"operationId":"ux_common_cmdb_blackwhitelist_update","description":"Adaptation of DRF ModelViewSet","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["CMDBBlacklistWhitelist"],"responses":{"200":{"description":"No response body"}}}}}}
```

## DELETE /ux/common/cmdb/blackwhitelist/{id}/

> Adaptation of DRF ModelViewSet

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/cmdb/blackwhitelist/{id}/":{"delete":{"operationId":"ux_common_cmdb_blackwhitelist_destroy","description":"Adaptation of DRF ModelViewSet","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["CMDBBlacklistWhitelist"],"responses":{"204":{"description":"No response body"}}}}}}
```

## GET /ux/common/cmdb/blackwhitelist/options/

> Adaptation of DRF ModelViewSet

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/cmdb/blackwhitelist/options/":{"get":{"operationId":"ux_common_cmdb_blackwhitelist_options_retrieve","description":"Adaptation of DRF ModelViewSet","tags":["CMDBBlacklistWhitelist"],"responses":{"200":{"description":"No response body"}}}}}}
```
